Package org.apache.cayenne.dba.sqlserver

## Class SQLServerActionBuilder

- java.lang.Object
- - org.apache.cayenne.dba.JdbcActionBuilder
  - - org.apache.cayenne.dba.sqlserver.SQLServerActionBuilder

- All Implemented Interfaces:
    `SQLActionVisitor`

      public class SQLServerActionBuilder
      extends JdbcActionBuilder

  Since:
    1.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SQLServerActionBuilder​(DataNode dataNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SQLAction` | `batchAction​(BatchQuery query)` | Creates an action to execute a batch update query.
    `SQLAction` | `procedureAction​(ProcedureQuery query)` | Creates an action to execute a ProcedureQuery.

    - ### Methods inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `ejbqlAction, objectSelectAction, objectSelectAction, sqlAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLServerActionBuilder

          public SQLServerActionBuilder​(DataNode dataNode)

      Since:
        4.0

  - ### Method Detail

    - #### batchAction

          public SQLAction batchAction​(BatchQuery query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a batch update query.
      Specified by:
        `batchAction` in interface `SQLActionVisitor`
      Overrides:
        `batchAction` in class `JdbcActionBuilder`

    - #### procedureAction

          public SQLAction procedureAction​(ProcedureQuery query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a ProcedureQuery.
      Specified by:
        `procedureAction` in interface `SQLActionVisitor`
      Overrides:
        `procedureAction` in class `JdbcActionBuilder`